import { AlConduitClient } from '@al/core';
import { WelcomePageResource, WelcomePageManifest, WelcomePageState } from './welcome.types';
import * as i0 from "@angular/core";
export declare class AlWelcomeDialogComponent {
    display: boolean;
    manifest: WelcomePageManifest;
    title: string;
    galleriaItems: WelcomePageResource[];
    innovations: WelcomePageResource[];
    videoTutorials: WelcomePageResource[];
    hideDialog: boolean;
    indexGalleria: number;
    maxIndexGalleria: number;
    logoSourceName: string;
    logoUrl: string;
    galleriaUrls: string[];
    videosUrls: string[];
    protected state: WelcomePageState;
    protected conduit: AlConduitClient;
    changeIndex(index: number): void;
    openURL(url: string): void;
    getURLThumbnail(urlImage: string): string;
    getFullUrlImage(imageUrl: string): string;
    shouldDisplay(manifest: WelcomePageManifest): Promise<boolean>;
    startDisplay(manifest: WelcomePageManifest): void;
    welcomeDisplayChanged(event: Event): void;
    static ɵfac: i0.ɵɵFactoryDef<AlWelcomeDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AlWelcomeDialogComponent, "al-welcome-dialog", never, {}, {}, never, never>;
}
